<?php
if(!defined('IN_DEMOSOSO')) {
	exit('this is wrong page,please back to homepage');
}

 ?>
 <?php
  if($sidebarlayout=='left') $sdclass='fl';
  else  $sdclass='fr';

 ?>
   <div  class="sidebar <?php echo $sdclass?> sdwidth"> 
 <?php
    bujublock($sidebartop,'c sidebartop');
    ?>


	<?php
	if(!isdmmobile()) {
		 if($sidebar=='' || substr($sidebar,0,4)=='menu') {

				 if($modtype=='page')   require tplhookfile('sidebar/sidebar_page.php');
				 if($modtype=='tag')   require tplhookfile('sidebar/sidebar_tag.php');
				// if($modtype=='tag' || $modtype=='search')   require tplhookfile('sidebar/sidebar_tag.php');
				 if($modtype=='category' || $modtype=='single')   require tplhookfile('sidebar/sidebar_cate.php');

		   }
		  else block($sidebar);
  }
	    
	?>
	<?php
    bujublock($sidebarbot,'c sidebarbot');
    ?>
</div>